package class8_Lab_StreamDecorator_quiz_start;

import java.io.FilterWriter;
import java.io.IOException;
import java.io.Writer;

/**
 * This writer emulates a German Keyboard.
 * The German keyboard is roughly the same as the US one, except
 * the T and Z keys are switched.
 *
 * Therefore, this writer switches the t and z characters
 * one for the other, whenever one of these is printed.
 *
 * Be sure to correctly handle characters typed with "SHIFT" key.
 */
public class GermanKeyboardWriter extends FilterWriter {

    public GermanKeyboardWriter(Writer out) {
        super(out);
    }

    @Override
    public void write(String str, int off, int len) throws IOException {
        for(int i = off; i<off+len; i++) {
            write(str.charAt(i));
        }
    }

    @Override
    public void write(int c) throws IOException {
        // TODO: Implement this method. Follow documetation for class.
        // TODO: Add any instance variables or helper methods needed.
    }
}
